::-webkit-scrollbar-track {
	margin-top: 60px;
	background-color: #000;
}

::-webkit-scrollbar {
	width: 6px;
	background-color: #000;
}

::-webkit-scrollbar-thumb {
	background-color: #fff;
}

:root {
	--header-font: "Expletus Sans", cursive;
	--mono-font: "Inconsolata", monospace;
	--body-font: "Quicksand", sans-serif;

	--topbar-height: 60px;
	--sidebar-width: 300px;
	--padding: 10px;
	--card-spacing: 5px;
	--card-bdrs: 10px;

	--body-background: #333;
	--body-accent: #242424;
	--body-color: #fff;
	--gradient-start: #2399ce;
	--gradient-stop: #2c67eb;
}

* {
	box-sizing: border-box;
}

body {
	position: relative;
	width: 100%;
	overflow-y: auto;
	overflow-x: hidden;
	user-select: none;
	background: var(--body-background);
	font-family: var(--body-font);
}

#header {
	position: fixed;
	top: 0;
	right: 0;
	left: 0;
	height: var(--topbar-height);
	background-color: black;
	color: white;
	display: flex;
	align-items: center;
	padding: var(--padding);
	box-sizing: border-box;
	font-size: 24px;
	font-family: var(--header-font);
	z-index: 100;
}

#header .material-icons {
	font-size: 26px;
}

#header span {
	margin-left: var(--padding);
}

#toggle-config {
	position: absolute;
	right: var(--padding);
	top: var(--padding);
	height: calc(var(--topbar-height) - (var(--padding) * 2));
	width: calc(var(--topbar-height) - (var(--padding) * 2));
	border-radius: 50%;
	cursor: pointer;
	display: flex;
	justify-content: center;
	align-items: center;
	transition: 200ms ease;
}

#toggle-config:hover {
	background-color: var(--body-background);
}

.progress-bar {
	position: absolute;
	bottom: 0;
	left: 0;
	height: 4px;
	width: 100%;
}

.progress-bar svg {
	position: absolute;
	top: 0px;
	border-bottom-left-radius: var(--card-bdrs);
	border-bottom-right-radius: var(--card-bdrs);
}

.first-row {
	margin-top: var(--topbar-height);
	box-sizing: border-box;
	display: grid;
	grid-template-columns: repeat(4, 1fr);
	padding: 8px;
	gap: 8px;
}

.a-panel {
	padding: 20px;
	border-radius: 10px;
	color: white;
	background: linear-gradient(
		to bottom right,
		var(--gradient-start),
		var(--gradient-stop)
	);
	display: grid;
	grid-template-rows: auto 1fr auto;
	position: relative;
	overflow: hidden;
}

.forecast,
.vitru {
	border-radius: var(--card-bdrs);
	width: 100%;
	height: 100%;
	overflow: hidden;
	margin: auto;
	background: linear-gradient(
		to bottom right,
		var(--gradient-start),
		var(--gradient-stop)
	);
}

.panel-title {
	font-size: 0.9em;
	font-family: var(--body-font);
	letter-spacing: 1.2px;
	color: white;
	backdrop-filter: blur(3px) brightness(110%);
	margin-top: -20px;
	margin-left: -20px;
	display: block;
	padding: 20px;
	width: calc(100% + 40px);
}

.panel-post {
	font-family: var(--body-font);
	font-weight: 300;
	font-style: normal;
}

.panel-main {
	font-family: var(--mono-font);
	font-weight: 400;
	font-style: normal;
	text-align: right;
	font-size: 1.6em;
	display: block;
	margin: 1em 0;
}

.panel-post {
	right: 20px;
	bottom: 20px;
	text-align: right;
}

.second-row {
	display: grid;
	grid-template-columns: 1fr 1fr;
	padding: 0 8px;
	gap: 8px;
	height: 120px;
}

#calendario {
	margin: 10px var(--padding);
	padding: 20px;
	background-color: #121212;
	border-radius: 10px;
}

.config-pannel {
	position: absolute;
	right: calc(var(--sidebar-width) * -1);
	top: 0;
	height: 100%;
	width: var(--sidebar-width);
	background-color: var(--body-background);
	z-index: 80;
	padding: var(--padding);
	color: var(--body-color);
	transition: right 200ms ease;
}

.config-pannel.active {
	box-shadow: -1px 0 2px var(--body-accent);
	right: 0;
}

.config-card {
	background: var(--body-accent);
	padding: var(--padding);
	border-radius: var(--card-bdrs);
	margin-bottom: var(--padding);
}

.flex {
	display: flex;
	align-items: center;
	justify-content: space-between;
}

.horario input {
	padding: 6px;
	border: 0;
	background: transparent;
	color: white;
	text-align: center;
	width: 50px;
}

.botao-login ul {
	margin: 0;
	padding: 0;
	list-style-type: none;
}

.firebaseui-idp-button {
	display: flex;
	height: var(--topbar-height);
	border-radius: var(--card-bdrs);
	border: 0;
	align-items: center;
	justify-content: center;
	padding: 20px;
	background-color: #fff;
	width: 100%;
	cursor: pointer;
}

.firebaseui-idp-text-short {
	display: none;
}

.firebaseui-idp-icon-wrapper {
	height: 24px;
	width: 24px;
	display: flex;
	justify-content: center;
	margin-right: 10px;
}

.color-button {
	height: 40px;
	width: 40px;
	border-radius: 5px;
	cursor: pointer;
}

.color-button.start {
	background-color: var(--gradient-start);
}

.color-button.stop {
	background-color: var(--gradient-stop);
}

.color-gradient {
	margin: 0 10px;
	flex-grow: 1;
	background: linear-gradient(
		to bottom right,
		var(--gradient-start),
		var(--gradient-stop)
	);
	height: 40px;
	border-radius: 5px;
}

/* color pickr */
.pcr-app {
	background: var(--body-accent);
	box-shadow: 0 1px 3px var(--body-color), 0 1px 0 1px var(--body-accent);
	border-radius: 5px;
	padding: 20px !important;
}

.pcr-save,
.pcr-cancel {
	flex-grow: 1;
}

.pcr-app[data-theme="monolith"] .pcr-selection {
	justify-content: space-evenly;
}

.pcr-app[data-theme="monolith"] .pcr-selection .pcr-color-palette {
	height: 10em;
}

@media only screen and (max-width: 1000px) {
	.first-row {
		grid-template-columns: repeat(2, 1fr);
	}
}

@media only screen and (max-width: 550px) {
}
/*


#config-wrapper {
    position: absolute;
    top: 0;
    right: 80px;
    height: 60px;
    width: 500px;
    font-size: 0.5em;
    font-family: var(--body-font);
}

#config-content {
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: flex-end;
    align-items: center;
}


*/
